Docs Replicate official format /replicate/v1/models/flux-kontext-apps/multi-image-kontext-max/predictions
API reference

Create task flux-kontext-apps/multi-image-kontext-max

Official documentation: https://replicate.com/flux-kontext-apps/multi-image-kontext-max

POST/replicate/v1/models/flux-kontext-apps/multi-image-kontext-max/predictions

Body Parametersapplication/json

input object

Input content

properties
aspect_ratio string

The aspect ratio of the generated image. Use "match_input_image" to match the aspect ratio of the input image. Default: "match_input_image"

input_image_1* string

The first input image. Must be in jpeg, png, gif or webp format.

input_image_2* string

Second input image. Must be in jpeg, png, gif or webp format.

output_format string

The output format of the generated image. Default value: "png".

prompt* string

A textual description of how to combine or transform the two input images.

safety_tolerance integer

Security tolerance, 0 is the strictest and 2 is the loosest. 2 is currently the maximum allowed. Default value: 2

Responses

200 application/json
response-200 object
properties
created_at string

Creation time

data_removed boolean

Whether sensitive data has been removed

error string nullable

Error message

id* string

Resource or task ID

input object

Input content

logs string

Run logs

model string

Model name / model ID

output string nullable

Output result

status* string

Status

urls object

List of resource URLs

version string

Version

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"aspect_ratio": "1:1",
4"input_image_1": "https://replicate.delivery/pbxt/N5rSeJrCafWpmJuLb62moY8pSMEpSBBwSf7N6hxyIn4fNYMa/w8msa88d01rm80cq3hzsqrdehg.png",
5"input_image_2": "https://replicate.delivery/pbxt/N5rSdTCgBqIRvbkedcfLfS5xTSEEOqMtX9FsR1hLK9JYryml/0_1.webp",
6"output_format": "png",
7"prompt": "Put the woman into a white t-shirt with the text on it",
8"safety_tolerance": 2
9}
10}
Code Sample cURL
1curl -X POST "https://api.digislash.com/replicate/v1/models/flux-kontext-apps/multi-image-kontext-max/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"aspect_ratio": "1:1",
7"input_image_1": "https://replicate.delivery/pbxt/N5rSeJrCafWpmJuLb62moY8pSMEpSBBwSf7N6hxyIn4fNYMa/w8msa88d01rm80cq3hzsqrdehg.png",
8"input_image_2": "https://replicate.delivery/pbxt/N5rSdTCgBqIRvbkedcfLfS5xTSEEOqMtX9FsR1hLK9JYryml/0_1.webp",
9"output_format": "png",
10"prompt": "Put the woman into a white t-shirt with the text on it",
11"safety_tolerance": 2
12}
13}'
Response
1▼{
2"created_at": "2025-07-30T02:08:26.368Z",
3"data_removed": false,
4"id": "b6k38vmb01rme0crb4bbr2apw4",
5▼"input": {
6"aspect_ratio": "1:1",
7"input_image_1": "https://replicate.delivery/pbxt/N5rSeJrCafWpmJuLb62moY8pSMEpSBBwSf7N6hxyIn4fNYMa/w8msa88d01rm80cq3hzsqrdehg.png",
8"input_image_2": "https://replicate.delivery/pbxt/N5rSdTCgBqIRvbkedcfLfS5xTSEEOqMtX9FsR1hLK9JYryml/0_1.webp",
9"output_format": "png",
10"prompt": "Put the woman into a white t-shirt with the text on it",
11"safety_tolerance": 2
12},
13"logs": "",
14"model": "flux-kontext-apps/multi-image-kontext-max",
15"status": "starting",
16▼"urls": {
17"cancel": "https://api.replicate.com/v1/predictions/b6k38vmb01rme0crb4bbr2apw4/cancel",
18"get": "https://api.replicate.com/v1/predictions/b6k38vmb01rme0crb4bbr2apw4",
19"stream": "https://stream.replicate.com/v1/files/bcwr-4lncowbqyyr5toyxguv6tr47ffpade3muguvemzik5let3hnlryq",
20"web": "https://replicate.com/p/b6k38vmb01rme0crb4bbr2apw4"
21},
22"version": "hidden"
23}